package dev.lions.unionflow.server.api.enums.vote;

public enum TypeVote {
    ELECTION_BUREAU("Élection des membres du bureau exécutif"),
    ADOPTION_RESOLUTION("Vote pour ou contre une résolution"),
    MODIFICATION_STATUTS("Vote d'amendement des statuts de la mutuelle"),
    EXCLUSION_MEMBRE("Vote d'exclusion d'un membre pour manquements"),
    REFERENDUM("Référendum interne ou consultation générale");

    private final String libelle;

    TypeVote(String libelle) {
        this.libelle = libelle;
    }

    public String getLibelle() {
        return libelle;
    }
}
